package wAction;

/**
Defines various actions for the Agent.
The agent can do actions GOFORWARD, TURN_RIGHT, TURN_LEFT,
GRAB, SHOOT, CLIMB and SIT.
*/

public class Action
{
  public static int START_GAME = 0;
  public static int GOFORWARD = 1;
  public static int TURN_RIGHT = 2;
  public static int TURN_LEFT = 3;
  public static int GRAB = 4;
  public static int SHOOT = 5;
  public static int CLIMB = 6;
  public static int SIT = 7;
  public static int NO_OP = 8;
  public static int NO_ACTION = 9;
  public static int END_TRIAL = 10;
  public static int END_SIMULATION = 11;
  public Action()
  {
  }

  public static String printAction(int a)
  {
    if(a==0)
      return "START_GAME";
    else if(a == 1)
      return "GOFORWARD";
    else if(a==2)
      return "TURN_RIGHT";
    else if(a==3)
      return "TURN_LEFT";
    else if(a==4)
      return "GRAB";
    else if(a==5)
      return "SHOOT";
    else if(a==6)
      return "CLIMB";
    else if(a==7)
      return "SIT";
    else if(a==8)
      return "NO_OP";
    else if(a==9)
      return "NO_ACTION";
    else if(a==10)
      return "END_TRIAL";
    else
      return "END_SIMULATION";
  }
}
